StripeStatisticsImpl (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class StripeStatisticsImpl

- java.lang.Object
- - org.apache.orc.StripeStatistics
  - - org.apache.orc.impl.StripeStatisticsImpl

-     public class StripeStatisticsImpl
      extends StripeStatistics

- - ### Field Summary

    - ### Fields inherited from class org.apache.orc.StripeStatistics

      `cs, schema`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StripeStatisticsImpl(TypeDescription schema, boolean writerUsedProlepticGregorian, boolean convertToProlepticGregorian)`
    `StripeStatisticsImpl(TypeDescription schema, List<OrcProto.ColumnStatistics> list, boolean writerUsedProlepticGregorian, boolean convertToProlepticGregorian)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `updateColumn(int column, OrcProto.ColumnStatistics elem)`

    - ### Methods inherited from class org.apache.orc.StripeStatistics

      `getColumn, getColumnStatistics`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StripeStatisticsImpl

          public StripeStatisticsImpl(TypeDescription schema,
                                      List<OrcProto.ColumnStatistics> list,
                                      boolean writerUsedProlepticGregorian,
                                      boolean convertToProlepticGregorian)

    - #### StripeStatisticsImpl

          public StripeStatisticsImpl(TypeDescription schema,
                                      boolean writerUsedProlepticGregorian,
                                      boolean convertToProlepticGregorian)

  - ### Method Detail

    - #### updateColumn

          public void updateColumn(int column,
                                   OrcProto.ColumnStatistics elem)

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.